package com.sky.ioc.service.security.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.sky.ioc.entity.domain.security.SecurityPerson;
import com.sky.ioc.mapper.SecurityPersonMapper;
import com.sky.ioc.service.security.SecurityPersonService;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SecurityPersonServiceImpl implements SecurityPersonService {

    @Autowired
    SecurityPersonMapper securityPersonMapper;


    @Override
    public ReturnMsg getPersonList(Integer type) {
        List<SecurityPerson> list  = securityPersonMapper.selectList(new LambdaQueryWrapper<SecurityPerson>().eq(SecurityPerson::getType,type));
        return ReturnMsg.ok(list);
    }
}
